Delete Consent Option

Deletes the consent option identified by the option ID for the Tenant.

DELETE
/consent/options/{optionId}

Deletes the consent option identified by the option ID for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

optionId*string

The ID of the Consent option to delete.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.loginradius.com/consent/options/sms_consent_12"
{
  "IsDeleted": true
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Consent Option not found",
  "Description": "The Consent Option not found for this tenant.",
  "ErrorCode": 8203
}
{
  "Message": "Consent Option in use",
  "Description": "This consent option is currently in use and cannot be deleted because it is part of an active consent form.",
  "ErrorCode": 8205
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}